{include="header"}

{if="$fsc->arqueo"}
<script type="text/javascript">
   function delete_arqueo(id)
   {
      if( confirm("¿Realmente desea eliminar el arqueo "+id+"?") )
      {
         window.location.href = '{$fsc->url()}&delete='+id;
      }
   }
</script>

<div class="container-fluid">
   <div class="row">
      <div class="col-sm-6">
         <div class="btn-group">
            <a class="btn btn-sm btn-default" href="{$fsc->url()}">
               <span class="glyphicon glyphicon-arrow-left"></span>
               <span class="hidden-xs">&nbsp; Arqueos</span>
            </a>
            <a class="btn btn-sm btn-default" href="{$fsc->arqueo->url()}" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
         </div>
         <div class="btn-group">
         {loop="$fsc->extensions"}
            {if="$value->type=='button'"}
            <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
            {/if}
         {/loop}
         </div>
      </div>
      <div class="col-sm-6 text-right">
         {if="$fsc->allow_delete"}
         <div class="btn-group">
            {if="$fsc->arqueo->abierta"}
            <a href="{$fsc->url()}&cerrar={$fsc->arqueo->idtpv_arqueo}" class="btn btn-sm btn-warning">
               <span class="glyphicon glyphicon-lock"></span>
               <span class="hidden-xs">&nbsp; Cerrar</span>
            </a>
            {/if}
            <a href="#" class="btn btn-sm btn-danger" onclick="delete_arqueo('{$fsc->arqueo->idtpv_arqueo}')">
               <span class="glyphicon glyphicon-trash"></span>
               <span class="hidden-xs">&nbsp; Eliminar</span>
            </a>
         </div>
         {/if}
      </div>
   </div>
   <div class="row">
      <div class="col-sm-12">
         <h2>
            <span class="glyphicon glyphicon-inbox" aria-hidden="true"></span>
            Arqueo <small>{$fsc->arqueo->idtpv_arqueo}</small>
         </h2>
      </div>
   </div>
</div>

<div role="tabpanel">
   <ul class="nav nav-tabs" role="tablist">
      <li role="presentation" class="active">
         <a href="#comandas" aria-controls="comandas" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-shopping-cart"></span>
            <span class="hidden-xs">&nbsp; Comandas</span>
         </a>
      </li>
      <li role="presentation">
         <a href="#movimientos" aria-controls="movimientos" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-piggy-bank"></span>
            <span class="hidden-xs">&nbsp; Movimientos</span>
         </a>
      </li>
      <li role="presentation">
         <a href="#arqueo" aria-controls="arqueo" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-eye-open"></span>
            <span class="hidden-xs">&nbsp; Arqueo</span>
         </a>
      </li>
   </ul>
   <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="comandas">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">ID</th>
                     <th class="text-left">Cliente</th>
                     <th class="text-right">Total</th>
                     <th class="text-left">Formas de pago</th>
                     <th class="text-right">Fecha</th>
                     <th class="text-right">Hora</th>
                  </tr>
               </thead>
               {loop="$fsc->resultados"}
               <tr class="clickableRow{if="$value->idfactura"} success{else} warning{/if}" href="{$value->url()}">
                  <td>
                     {$value->idtpv_comanda}
                     {if="!$value->idfactura"}
                     <span class="label label-default">
                        <span class="glyphicon glyphicon-hourglass"></span>
                        &nbsp; Aparcado
                     </span>
                     {/if}
                  </td>
                  <td>{$value->nombrecliente}</td>
                  <td class="text-right">{$fsc->show_precio($value->total)}</td>
                  <td>
                     {$value->codpago}
                     {if="$value->codpago2"}+ {$value->codpago2}{/if}
                  </td>
                  <td class="text-right">{$value->fecha}</td>
                  <td class="text-right">{$value->hora}</td>
               </tr>
               {else}
               <tr>
                  <td colspan="6" class="warning">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
      </div>
      <div role="tabpanel" class="tab-pane" id="movimientos">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Motivo</th>
                     <th class="text-right">Cantidad</th>
                     <th class="text-right">Fecha</th>
                  </tr>
               </thead>
               {loop="$fsc->movimientos"}
               <tr{if="$value->cantidad<0"} class="bg-warning"{/if}>
                  <td>{$value->descripcion}</td>
                  <td class="text-right">{$fsc->show_precio($value->cantidad)}</td>
                  <td class="text-right">{$value->fecha}</td>
               </tr>
               {else}
               <tr>
                  <td colspan="3" class="bg-warning">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
      </div>
      <div role="tabpanel" class="tab-pane" id="arqueo">
         <div class="container-fluid" style="margin-top: 10px;">
            <div class="row">
               <div class="col-sm-2">
                  <div class="form-group">
                     Terminal:
                     <div class="form-control">{$fsc->arqueo->idterminal}</div>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     Empleado:
                     <div class="form-control">
                        {if="$fsc->arqueo->agente"}
                        <a href="{$fsc->arqueo->agente->url()}">{$fsc->arqueo->agente->get_fullname()}</a>
                        {else}
                        -
                        {/if}
                     </div>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     Desde:
                     <div class="form-control">{$fsc->arqueo->diadesde}</div>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     Hasta:
                     <div class="form-control">{$fsc->arqueo->diahasta}</div>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     Dinero inicial:
                     <div class="form-control">{$fsc->show_precio($fsc->arqueo->inicio)}</div>
                  </div>
               </div>
               <div class="col-sm-2">
                  <div class="form-group">
                     Total caja:
                     <div class="form-control">{$fsc->show_precio($fsc->arqueo->totalcaja)}</div>
                  </div>
               </div>
            </div>
            <div class="row bg-info" style="padding-top: 10px;">
               {loop="$fsc->arqueo->desglose_formas_pago()"}
               <div class="col-sm-2">
                  <div class="form-group">
                     {$key} <div class="form-control">{$fsc->show_precio($value)}</div>
                  </div>
               </div>
               {/loop}
            </div>
            <div class="row">
               <div class="col-sm-12">
                  <br/>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 001:
                     <div class="form-control">{$fsc->arqueo->m001}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 005:
                     <div class="form-control">{$fsc->arqueo->m002}</div>
                  </div>
               </div>
               <div class="col-sm-1" style="display:none">
                  <div class="form-group">
                     Monedas 010:
                     <div class="form-control">{$fsc->arqueo->m005}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 010:
                     <div class="form-control">{$fsc->arqueo->m010}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 025:
                     <div class="form-control">{$fsc->arqueo->m020}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 050:
                     <div class="form-control">{$fsc->arqueo->m050}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 1:
                     <div class="form-control">{$fsc->arqueo->m1}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Monedas 2:
                     <div class="form-control">{$fsc->arqueo->m2}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Billetes 2:
                     <div class="form-control">{$fsc->arqueo->b5}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Billetes 5:
                     <div class="form-control">{$fsc->arqueo->b10}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Billetes 10:
                     <div class="form-control">{$fsc->arqueo->b20}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Billetes 20:
                     <div class="form-control">{$fsc->arqueo->b50}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Billetes 50:
                     <div class="form-control">{$fsc->arqueo->b100}</div>
                  </div>
               </div>
               <div class="col-sm-1">
                  <div class="form-group">
                     Billetes 100:
                     <div class="form-control">{$fsc->arqueo->b200}</div>
                  </div>
               </div>
               <div class="col-sm-1" style="display:none">
                  <div class="form-group">
                     Billetes 500:
                     <div class="form-control">{$fsc->arqueo->b500}</div>
                  </div>
               </div>
               <div class="col-sm-2 bg-success">
                  <div class="form-group">
                     Total contado:
                     <div class="form-control">{$fsc->arqueo->total_contado()}</div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
{/if}

{include="footer"}
